AutoCAD Inventor :: F7 Type Function In Assembly
Dec 18, 2013
When creating a part in .ipt, you can press F7 to remove everything forward of the plane that you are sketching on. Is there a similar function when you create a part in an assembly that removes everything up to the sketch plane?
View 5 Replies
ADVERTISEMENT
Aug 31, 2012
I would like to determine the Proxy ObjectType returned from Constraint.EntityOne (i.e. If oConst.EntityOne = kWorkPointProxyObject Then ....)
Property EntityOne() As IDispatch**
how IDispatch works.
Dim oAsmDef As AssemblyComponentDefinitionSet oAsmDef = oAsmDoc.ComponentDefinition
Dim oConst As AssemblyConstraint
For Each oConst In oAsmDef.Constraints'Below will print the Enum 67120288 (kEdgeProxyObject) or 67119520 (kFaceProxyObject) if
'it is constrained. It will Err if a Work or Sketch Proxy Object is Constrained Debug.Print oConst.EntityOne Debug.Print oConst.EntityTwo Next
View 2 Replies
View Related
Nov 13, 2012
I'm trying to be able to have a function run another function with the secondary function being passed as an argument to the first. I'm trying to create a recursive function and the recursive part works great. I just need to be able to have the recursive function run other functions to actually do stuff.
Here is something I found that should do what I need, mainly run a function from a function name in a variable.
Sub test() Dim ftnName As String Dim argument As String Dim result As String ftnName = "myFunction" argument = "cat" result = Application.Run(ftnName, argument) MsgBox resultEnd SubFunction myFunction(inString As String) As String myFunction = inString & " has " & Len(inString) & " letters."End Function
However I get the error "object required" on the "result = Application.Run(ftnName, argument)" line. So I'm guessing the Inventor VBA doesn't like this method of doing this. I'm just hoping there is a way to do this or this function will be useless or reduced to hardcoding functions which still defeats the purpose.
View 2 Replies
View Related
Feb 26, 2014
I need to add a clickTag type function to a banner I made so that it can be tracked. I read the thread on clickTag() and it tried swapping clickTag() with EB.clickthrough(). but that didnt work.
The media company has us put this code on a click through layer in the flash banners I've been making
EB.clickthrough();
how do I get this to work? The publisher gave me this code that ive added to the index file but the part where it says "onclick" I think needs to happen in edge?
<script type="text/javascript">
function initEB(){
if (!EB.isInitialized()){[code]....
how in edge to tell it to do this "onclick="javascript:handleUserActionButtonClick();"
View 4 Replies
View Related
Jun 6, 2012
I am using INV 2012 and I wan to to know a trick how to convert the weldment assembly back to regular assembly template.
View 1 Replies
View Related
Jul 10, 2012
I'm looking for the best way to create a separate assembly out of various component parts in an existing assembly so that the whole thing can be placed in an assembly as you would a part, I know it's possible to demote components within an assembly but are there any other methods similar / better ?
View 2 Replies
View Related
Sep 18, 2012
We have an iLogic assembly with to parts in it. Maybe to cylindrical parts. The iLogic rules should do the following.
1. Start a Rule after open document.
2. This Rule starts a Rule in the first cylindrical component.
3. This Rule ask the user for a diameter.
4. The assembly gives this new parameter value to the second component
5. Then the assembly calls another rule in the second component to change it with the new parameter
Everything is working fine when the following combinations are taking place:
1. I open up the assembly out of vault or from a local drive or an accessible server drive
2. I insert the assembly as sub assembly in another assembly from a local drive or an accessible server drive
It don't work with the following situation:
- I insert the assembly as sub assembly in another assembly out of vault
Then the user becomes the dialog "Choose a diameter" twice.
I don't know why, but I have the idea it has something to do with the functionality of inventor to insert a component more than once. If you insert a component in an assembly Inventor gives you the opportunity to add more than one occurence after each other.
change that behaviour? Maybe a switch to change that inventor "add more than one occurence" behaviour.
View 1 Replies
View Related
Feb 9, 2012
I have encountered a problem with the Tube and Pipe styles.
As you can see, I have a rack assembly with a custom tube and pipe style. A wire as a tube in orange, and a tube support in white. Both have their seperate colorations at a style in the tube and pipe styles editor
When placing the rack assembly into the main assembly, it reverts to the coppor coloration I changed from the original style.
Steps I've taken:
Exported the styles .xml and Imported the styles into the master tubeandpipe.iam
Imported the user created .xml styles into the main assembly file nothing seems to work
View 8 Replies
View Related
Apr 23, 2012
I am trying to find the interior volume of an assembly (when am I not?!?!) by subtracting the assembly from a block that surrounds the most of it. Somewhere the assembly has a "leak" and I have been trying to use the Cross Section Analysis to track down where the inside lump is connected to the outside lump to be subtracted. Is there a less time consuming way to dynamically drag a plane across and get cross sectional views?
Even better is there a simple way to animate the analysis plane moving across the block so I can hopefully just watch and pause it when I find a leak?
Inventor 2013 (SP2 Update 2), Windows 7 Professional (64-bit), SP1, Intel Xeon 3.07GHz CPU, 12GB RAM, NVIDIA Quadro 2000, Vault Basic 2013
View 2 Replies
View Related
Oct 30, 2012
it is possible to make a constraint that utilized a parameter of a part within the assembly.
For example, if I wanted to use the thickness of a plate, which I defined in the part, could I call that parameter in a constraint?
View 1 Replies
View Related
Oct 31, 2011
My assembly has grown (about 50 parts) to where I need to consolodate some parts into subassemblies for reuse and alternate iterations of the basic design.
When I import the original parts into a new assembly, all of the constrains I created are not there of course.
I've tried creating a new empty part and then deriving a new part from the assembly, but I can't add, delete or edit any parts.
I looked at using Shrinkwrap, Substitutes, iParts, Multi-body Parts, and Multiple Solids but I remain confused.
In retrospect, maybe I should have created the subassemblies between the part and assembly stage but I didn't.
View 4 Replies
View Related
Nov 9, 2011
I want to be able to control the location/position of a component in an assembly. This is easy enough through the iProperties/Occurrence tab and then adjust the location of the X,Y, and Z offsets. Is this possible using iLogic? I have been unable to find a function to access via iLogic. Ultimately I am trying to translate a component about an axis not a pattern.
View 1 Replies
View Related
Nov 28, 2011
Can I select a bunch of parts in an assembly and say "save these pieces as a new assembly"?
It is just such a needed tool but I cant find an easy way to accomplish this.
View 2 Replies
View Related
Oct 3, 2013
I have a two part duct fire damper assembly. The IDW has the combined two part assembly, which I know how to turn the CoG on, so that it can be dimensioned. The problem is each piece will more than likely be hoisted separately so I would like to show the CoG for each piece, not the combined master assy.is there a way to do this?
Inventor 2014
Windows 7 Pro SP1
Intel(R) Core(TM) i7-3770k CPU @ 3.50GHz
16GB RAM
NVIDIA Quadro 4000
3D Connexion SpaceMouse Pro
View 5 Replies
View Related
Sep 3, 2013
I would like to see if there is a routine that allows my iLogic code to detect if my assembly contains another assembly within it. If my assebly contains assemblies then I don't want "MyRule" to run. Else if it does then I want "MyRule" to run.
View 4 Replies
View Related
Mar 21, 2013
My Assembly has two possible positions for my piston.
I would like to show both piston positions (top and bottom) in one drawing file; however, in different drawing views.
I have tried using LOD and Drawing View Representations, but it is my understanding that neither of these are meant to be used in this way.
View 2 Replies
View Related
Jun 3, 2013
How can we figure out whether an Assembly type occupancy has fixed seating or not using revit 2013 API. Which room property tells us about the fixed seating?
View 3 Replies
View Related
Oct 25, 2013
This seems absolutly silly.
(setq p1 (getpoint))
(setq p2 (getpoint))
(setq Dist (distance p1 p2))
Why does this not work?
I'm trying to build a command to replace AutoCAD's "DI" command, to give distance and delta x, y, and z values in decimal and imperial, and keep the angles in XY plane and out of XY plane.
View 9 Replies
View Related
Sep 8, 2008
Im using Photoshop CS3, every time when i try to use the Type Tool, it takes very long to load the mouse cursor to change into the big 'I', and then when i try to use it, as in i click on the page after the cursor changed into 'I', so i can type. Photoshop just freezes, and i have to terminate the program.
I don't know what is wrong with this program. It wasn't like this when i first used it. But now its like a annoying child that does the opposite of what i want.
View 6 Replies
View Related
Aug 5, 2013
I was wondering if the is a way to go from a Inventor file type to a Solidworks file type. One of our customers is asking for one or the other following file types: .asm or .prt.
They also mentioned something about "shrink wrapping" the file to all the surfaces.
View 2 Replies
View Related
Sep 14, 2013
I have a big assembly consisting of a large number of sub assemblies and parts.I would like to be able to quickly show color alternatives. All painted parts will be painted in one of two colors.I would like to have a function that takes two color arguments that will set the color of a number of parts to the first color and some other parts to the second color. Not all parts need to be painted.
set the color of all parts in a assembly to one color.But I have two sets of parts for different colors and not all parts need to be colored.How can I do this best? iLogic? How do I have to input the colors?
How to deal with repeating patterns (should still work when changing the repeat count)?Also, there should be some text on some parts. Can I also change this text color automatically?
View 3 Replies
View Related
Nov 24, 2011
i dont know how to use or find the PCD function. All i have is a base however i need to make holes with 90 degrees on a 100 PCD
View 2 Replies
View Related
Dec 26, 2011
I'm trying to create a rib from the sketch shown. Before I go to support with this, how to make it work or why it won't? I think Inventor just isn't up to it. If I add perpendicular lines to the endpoints of the line shown, it'll make rib, but the rib isn't right - i.e. it doesn't maintain tangency the way it should. I'd rather not have to go through and surface it.
Infrastructure DSP '14 / Product DSP '14 / Vault Professional 2014
Dell Precision T1650
Windows 7 Professional SP1 64-bit
Intel E3-1270 V2 3.5GHz / 32G RAM
Nvidia Quadro 2000, Driver 331.82
Space Navigator, Driver Version 6.17.7
View 1 Replies
View Related
Jun 13, 2012
I have recently installed Inventor 2013 Professional Ultimate and am having some issues. I can not seem to get the Thread function to work. When I go to apply a thread I get the follow error....
When I go to search the directory, I find that the Thread xls document is infact there, but it is not located where the program thinks it should be (XLS Folder --> en-US Folder)
I also made sure that the Design Data location was correct within the Application Options...
A reboot of the computer did not work.
View 1 Replies
View Related
Jan 31, 2013
I've got a custom VBA function that works perfectly when called from a parameter in my part.
However, when in the context of my assembly, there is no error, but the function no longer runs, and the parameter text is red.
Apparently, the function is no longer in context?
I've heard of external rules, but have never implemented one.
Is there a way to declare my function and keep it in context regardless?
Public Function BumpHeight(dblHeight As Double, dblMember As Double) As Double Dim X As Integer X = 2 If dblHeight > dblMember * 2 Then BumpHeight = dblHeight Else BumpHeight = dblMember * X End If BumpHeight = BumpHeight / 2.54 End Function
Here is the Parameter:
VBA:BumpHeight(ValanceBackBumpoutHeight;ValanceMemberSize) * 1 in
Update: (problem better defined)
What seems to be happening is that once I insert the part into an assembly, it creates a new blank copy of the parts' modules in VBA and the functions no longer work.
If I go to the VBA editor,
There are now two copies of my part listed in the browser tree, but the new one is blank.
If I paste in my function to the new one, it will work until I return to the parent assembly.
Next time I come back to the part, it will have a new blank set of modules.
This appears to continue indefinitely...
see the attached screenshot.
At this point there are only 2 copies of the DocumentProject. The original still contains my functions, but the new one is blank.
I need these functions to work in order to build my model.
View 1 Replies
View Related
Dec 22, 2011
I have purchased the Autodesk Product Design Suite Premium. It comes with the Frame Generator but does not seem to have the Frame Analysis with it. Is that provided in other Suites or should I have it??
View 1 Replies
View Related
Aug 29, 2012
When I use AutoCAD Inventor:
* Rolling the mouse wheel toward me, the object zooms larger, and
* Rolling the mouse wheel away from my body, the object zooms smaller.
Just the opposite, when I use good ole' 2D AutoCAD and AutoCAD Electrical:
* Rolling the mouse wheel toward me, the object zooms smaller, and
* Rolling the mouse wheel away from my body, the object zooms larger.
Is it possible to change the zoom function in 2D AutoCAD and AutoCAD Electrical to operate in the same fashion as in Inventor . . .
View 2 Replies
View Related
Oct 28, 2013
I have an ilogic external rule which contains functions that I use from rules in my local assembly document. I'm trying to access the value of a parameter in the document from the external rule's function. Attached is a simple version of what I'm trying to do. If I manually run the external rule, it seems to work just fine, but when I call on the function from a seperate rule, its unable to get the parameter value. I get an error stating, "'Parameter' is not declared. It may be inaccessible due to its protection level."
'this is the external rule. if I run this manually, it works
Public Class test_functionsSub Mainmyresult = ""thisisatest(myresult)MsgBox(myresult)End SubFunction thisisatest(ByRef resultcreated As String)resultcreated = "it worked - " & Parameter("ParameterInDocument")End FunctionEnd Class
'this is my rule in the assembly document trying to use the external rule's function
AddVbFile "z_testrule.iLogicVb"Dim external_rule As New test_functionsmyresult = ""external_rule.thisisatest(myresult)MsgBox(myresult)
View 3 Replies
View Related
Oct 30, 2013
Is it possible to animate the Grounded function? I want the box (In the assembly that I attached) to walk through a line of stations, each one of them with a specific purpose, in a factory where the "solar collector" is being built.I am unable to switch between who's gonna be grounded during the animation, but maybe there's another way to do it?
View 6 Replies
View Related
Dec 17, 2013
I would like to make an Inventor AddIn with commands (functions) that can be called from other standalone applications. I have tried to create a COM interface for my AddIn, and that works with rather small effort, but I think I have heard that it should be possible to do this without the COM interface. I would like to avoid COM if possible. if I need to do anything special in the AddIn to make the function visible and how I on client side calls the function.
View 1 Replies
View Related
Jul 26, 2013
In the Add function documentation there are two parameters XDirectionStartPoint and YDirectionStartPoint.
But are these 3d or 2d points? Maybe 2d points on a sketch.
And if there was a c++ example of use it.
View 2 Replies
View Related